## secsipidx 1.1.0

=== Makefile ===
# Makefile to build the app and libs
#

include Makefile.defs

.PHONY: all
all: tool lib

.PHONY: tool
tool:
	${GO} build -o ${TOOLNAME} .

.PHONY: lib
lib:
	$(MAKE) -C csecsipid/ libso
	$(MAKE) -C csecsipid/ liba

.PHONY: install-tool
install-tool:
	cp ${TOOLNAME} ${PREFIX}/bin/

.PHONY: install-lib
install-lib:
	$(MAKE) -C csecsipid/ install-libso
	$(MAKE) -C csecsipid/ install-liba

.PHONY: install-dev
install-dev:
	$(MAKE) -C csecsipid/ install-dev

.PHONY: install-lib-all
install-lib-all: install-lib install-dev

.PHONY: install-dirs
install-dirs:
	mkdir -p ${PREFIX}
	mkdir -p ${PREFIX}/bin
	mkdir -p ${PREFIX}/lib
	mkdir -p ${PREFIX}/include

.PHONY: install
install: install-dirs install-tool install-lib install-dev

.PHONY: clean
clean:
	rm -rf ${TOOLNAME}
	$(MAKE) -C csecsipid/ clean

=== csecsipid/Makefile ===
# Makefile to build libraries
#

include ../Makefile.defs

SOBASENAME=libsecsipid.so
SOLIBNAME=${SOBASENAME}.1
SOREALNAME=${SOBASENAME}.1.0.0

ifneq ($(OS), darwin)
LD_FLAGS += -extldflags=-Wl,-soname,${SOLIBNAME}
LD_OPTS = -ldflags="${LD_FLAGS}"
else
LD_OPTS =
endif

ABASENAME=libsecsipid.a

.PHONY: all
all: libso

.PHONY: libso
libso:
	rm -rf ${SOLIBNAME}
	rm -rf ${SOBASENAME}
	rm -rf ${SOREALNAME}
	go build ${LD_OPTS} -o ${SOBASENAME} -buildmode=c-shared csecsipid.go
	mv ${SOBASENAME} ${SOREALNAME}
	ln -s ${SOREALNAME} ${SOLIBNAME}
	ln -s ${SOREALNAME} ${SOBASENAME}

.PHONY: liba
liba:
	go build -o ${ABASENAME} -buildmode=c-archive csecsipid.go


.PHONY: install-libso
install-libso:
	cp ${SOREALNAME} ${PREFIX}/lib/
	rm -rf ${PREFIX}/lib/${SOBASENAME}
	rm -rf ${PREFIX}/lib/${SOLIBNAME}
	ln -s ${PREFIX}/lib/${SOREALNAME} ${PREFIX}/lib/${SOBASENAME}
	ln -s ${PREFIX}/lib/${SOREALNAME} ${PREFIX}/lib/${SOLIBNAME}

.PHONY: install-liba
install-liba:
	cp ${ABASENAME} ${PREFIX}/lib/

.PHONY: install-dev
install-dev:
	cp libsecsipid.h ${PREFIX}/include/
	cp secsipid.h ${PREFIX}/include/

.PHONY: install
install: install-libso install-liba install-dev

.PHONY: clean
clean:
	rm -f ${SOBASENAME} ${SOREALNAME} ${SOLIBNAME}
	rm -f ${ABASENAME}

=== debian/changelog ===
secsipidx (1.1.0-1) unstable; urgency=medium

  [ Victor Seva ]
  * Initial release (Closes: #977493)
  * New upstream version 1.1.0

  [ Guillem Jover ]
  * Switch to debhelper compatibility level 13.
  * Update symbols file:
    - Add new exporter symbols.
    - Use a version in symbols not larger than the one in the changelog.
    - Use regex pattern for internal symbols.
    - Mark internal symbols as optional.
  * Comment out DH_VERBOSE setting.
  * Store Go cached objects under _build/go-cache, like dh-golang does.
  * Do not set DEB_HOST_MULTIARCH explicitly, done already by architecture.mk.
  * Refactor build and dest dir into B and D variables in debian/rules.
  * Use execute_after_ instead of override_ for dh_auto_build and then calling
    it explicitly.
  * Use upstream build system to build and install the shared library:
    - Add support for DESTDIR.
    - Use debhelper substitution variables in install fragment files.
    - Stop including dpkg default.mk, now unnecessary.
    - Install the pkg-config file under /usr/lib/<multiarch>.
  * Remove unused shlibs:Depends from libsecsipid-dev package.
  * Set Multi-Arch to foreign for secsipidx.
  * Indent itemized entries in package Description.
  * Add a debian/.gitignore file

 -- Victor Seva <vseva@debian.org>  Fri, 05 Feb 2021 10:23:56 +0100

## secsipidx 1.1.1~git20210415.e751d37

=== debian/changelog ===
secsipidx (1.1.1~git20210415.e751d37-1) unstable; urgency=medium

  * New upstream version 1.1.1~git20210415.e751d37
  * remove patches applied upstream
  * update symbols file

 -- Victor Seva <vseva@debian.org>  Thu, 15 Apr 2021 10:39:39 +0200

## secsipidx 1.1.1~git20210601.d388d64

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 .PHONY: install-tool
 install-tool:
-	cp ${TOOLNAME} ${PREFIX}/bin/
+	cp ${TOOLNAME} ${DESTDIR}${PREFIX}/bin/
 
 .PHONY: install-lib
 install-lib:
@@ -33,10 +33,11 @@
 
 .PHONY: install-dirs
 install-dirs:
-	mkdir -p ${PREFIX}
-	mkdir -p ${PREFIX}/bin
-	mkdir -p ${PREFIX}/lib
-	mkdir -p ${PREFIX}/include
+	mkdir -p ${DESTDIR}${PREFIX}
+	mkdir -p ${DESTDIR}${PREFIX}/bin
+	mkdir -p ${DESTDIR}${PREFIX}/lib
+	mkdir -p ${DESTDIR}${PREFIX}/lib/pkgconfig
+	mkdir -p ${DESTDIR}${PREFIX}/include
 
 .PHONY: install
 install: install-dirs install-tool install-lib install-dev

=== csecsipid/Makefile ===
--- 
+++ 
@@ -36,20 +36,19 @@
 
 .PHONY: install-libso
 install-libso:
-	cp ${SOREALNAME} ${PREFIX}/lib/
-	rm -rf ${PREFIX}/lib/${SOBASENAME}
-	rm -rf ${PREFIX}/lib/${SOLIBNAME}
-	ln -s ${PREFIX}/lib/${SOREALNAME} ${PREFIX}/lib/${SOBASENAME}
-	ln -s ${PREFIX}/lib/${SOREALNAME} ${PREFIX}/lib/${SOLIBNAME}
+	cp ${SOREALNAME} ${DESTDIR}${PREFIX}/lib/
+	ln -fs ${SOREALNAME} ${DESTDIR}${PREFIX}/lib/${SOBASENAME}
+	ln -fs ${SOREALNAME} ${DESTDIR}${PREFIX}/lib/${SOLIBNAME}
 
 .PHONY: install-liba
 install-liba:
-	cp ${ABASENAME} ${PREFIX}/lib/
+	cp ${ABASENAME} ${DESTDIR}${PREFIX}/lib/
 
 .PHONY: install-dev
 install-dev:
-	cp libsecsipid.h ${PREFIX}/include/
-	cp secsipid.h ${PREFIX}/include/
+	cp secsipid-1.pc ${DESTDIR}${PREFIX}/lib/pkgconfig/
+	cp libsecsipid.h ${DESTDIR}${PREFIX}/include/
+	cp secsipid.h ${DESTDIR}${PREFIX}/include/
 
 .PHONY: install
 install: install-libso install-liba install-dev

=== debian/changelog ===
secsipidx (1.1.1~git20210601.d388d64-2build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:57:53 -0600

secsipidx (1.1.1~git20210601.d388d64-2) unstable; urgency=medium

  * Team upload.
  * Add myself to Uploaders.
  * d/rules: set GO111MODULE=off to fix build with Go 1.16.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 07 Sep 2021 09:43:29 +1200

secsipidx (1.1.1~git20210601.d388d64-1) unstable; urgency=medium

  * New upstream version 1.1.1~git20210601.d388d64

 -- Victor Seva <vseva@debian.org>  Tue, 01 Jun 2021 12:06:15 +0200

=== debian/control ===
Source: secsipidx
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Michael Hudson-Doyle <mwhudson@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-google-uuid-dev,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/secsipidx
Vcs-Git: https://salsa.debian.org/go-team/packages/secsipidx.git
Homepage: https://github.com/asipto/secsipidx
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/asipto/secsipidx

Package: secsipidx
Architecture: any
Section: comm
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openssl,
Built-Using:
 ${misc:Built-Using},
Multi-Arch: foreign
Description: Secure SIP Identity Extensions - IETF STIR and SHAKEN
 Secure SIP/Telephony Identity Extensions Overview Applications
 and libraries implementing STIR and SHAKEN (RFC8224, RFC8588), used in
 SIP/VoIP services:
 .
  • RFC8224 - https://tools.ietf.org/html/rfc8224
  • RFC8588 - https://tools.ietf.org/html/rfc8588
 .
 This package contains CLI tool and HTTP API server for checking or
 Building SIP identitysecsipidx

Package: libsecsipid1
Architecture: any
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Multi-Arch: same
Description: Secure SIP Identity Extensions - library
 Secure SIP/Telephony Identity Extensions Overview Applications
 and libraries implementing STIR and SHAKEN (RFC8224, RFC8588), used in
 SIP/VoIP services.
 .
 This package contains shared libs

Package: libsecsipid-dev
Architecture: any
Section: libdevel
Depends:
 libsecsipid1 (= ${binary:Version}),
 ${misc:Depends},
Built-Using:
 ${misc:Built-Using},
Multi-Arch: same
Description: Secure SIP Identity Extensions - C headers files
 Secure SIP/Telephony Identity Extensions Overview Applications
 and libraries implementing STIR and SHAKEN (RFC8224, RFC8588), used in
 SIP/VoIP services.
 .
 This package contains headers ans static libs

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES=csecsipid
export GO111MODULE=off

D = $(CURDIR)/debian/tmp
B = _build/src/github.com/asipto/secsipidx/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	cp Makefile Makefile.defs $(B)
	cp csecsipid/Makefile csecsipid/*.pc $(B)/csecsipid/
	GOCACHE=$(CURDIR)/_build/go-build GOPATH=$(CURDIR)/_build $(MAKE) -C $(B) lib

override_dh_auto_install:
	dh_auto_install -- --no-source
	$(MAKE) -C $(B) PREFIX=/usr DESTDIR=$(D) install-dirs
	$(MAKE) -C $(B) PREFIX=/usr DESTDIR=$(D) install-lib-all

## secsipidx 1.2.0

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 
 .PHONY: tool
 tool:
-	${GO} build -o ${TOOLNAME} .
+	GO111MODULE=off ${GO} build -o ${TOOLNAME} .
 
 .PHONY: lib
 lib:
-	$(MAKE) -C csecsipid/ libso
-	$(MAKE) -C csecsipid/ liba
+	GO111MODULE=off $(MAKE) -C csecsipid/ libso
+	GO111MODULE=off $(MAKE) -C csecsipid/ liba
 
 .PHONY: install-tool
 install-tool:

=== csecsipid/Makefile ===
--- 
+++ 
@@ -24,14 +24,14 @@
 	rm -rf ${SOLIBNAME}
 	rm -rf ${SOBASENAME}
 	rm -rf ${SOREALNAME}
-	go build ${LD_OPTS} -o ${SOBASENAME} -buildmode=c-shared csecsipid.go
+	GO111MODULE=off go build ${LD_OPTS} -o ${SOBASENAME} -buildmode=c-shared csecsipid.go
 	mv ${SOBASENAME} ${SOREALNAME}
 	ln -s ${SOREALNAME} ${SOLIBNAME}
 	ln -s ${SOREALNAME} ${SOBASENAME}
 
 .PHONY: liba
 liba:
-	go build -o ${ABASENAME} -buildmode=c-archive csecsipid.go
+	GO111MODULE=off go build -o ${ABASENAME} -buildmode=c-archive csecsipid.go
 
 
 .PHONY: install-libso

=== debian/changelog ===
secsipidx (1.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 00:29:57 +0000

secsipidx (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * remove Multi-Arch from libsecsipid-dev
  * update years in copyright
  * update Standards-Version, no changes needed
  * add golang-github-gomagedon-expectate-dev as build dependency
  * don't run test since they fail with golang-1.18

 -- Victor Seva <vseva@debian.org>  Thu, 11 Aug 2022 15:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
+ golang-github-gomagedon-expectate-dev <!nocheck>,
  golang-github-google-uuid-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/secsipidx
 Vcs-Git: https://salsa.debian.org/go-team/packages/secsipidx.git
 Homepage: https://github.com/asipto/secsipidx
@@ -66,7 +67,6 @@
  ${misc:Depends},
 Built-Using:
  ${misc:Built-Using},
-Multi-Arch: same
 Description: Secure SIP Identity Extensions - C headers files
  Secure SIP/Telephony Identity Extensions Overview Applications
  and libraries implementing STIR and SHAKEN (RFC8224, RFC8588), used in

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 export DH_GOLANG_EXCLUDES=csecsipid
 export GO111MODULE=off
+# don't fail on test when certificates are signed with the SHA-1
+export GODEBUG=x509sha1=1
 
 D = $(CURDIR)/debian/tmp
 B = _build/src/github.com/asipto/secsipidx/
@@ -21,3 +23,5 @@
 	dh_auto_install -- --no-source
 	$(MAKE) -C $(B) PREFIX=/usr DESTDIR=$(D) install-dirs
 	$(MAKE) -C $(B) PREFIX=/usr DESTDIR=$(D) install-lib-all
+
+override_dh_auto_test:

## secsipidx 1.3.1

=== csecsipid/Makefile ===
--- 
+++ 
@@ -24,14 +24,14 @@
 	rm -rf ${SOLIBNAME}
 	rm -rf ${SOBASENAME}
 	rm -rf ${SOREALNAME}
-	GO111MODULE=off go build ${LD_OPTS} -o ${SOBASENAME} -buildmode=c-shared csecsipid.go
+	GO111MODULE=${GO111MODVAL} go build ${LD_OPTS} -o ${SOBASENAME} -buildmode=c-shared csecsipid.go
 	mv ${SOBASENAME} ${SOREALNAME}
 	ln -s ${SOREALNAME} ${SOLIBNAME}
 	ln -s ${SOREALNAME} ${SOBASENAME}
 
 .PHONY: liba
 liba:
-	GO111MODULE=off go build -o ${ABASENAME} -buildmode=c-archive csecsipid.go
+	GO111MODULE=${GO111MODVAL} go build -o ${ABASENAME} -buildmode=c-archive csecsipid.go
 
 
 .PHONY: install-libso

=== debian/changelog ===
secsipidx (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * enable tests again
  * refresh symbols
  * GO111MODULE => GO111MODVAL

 -- Victor Seva <vseva@debian.org>  Mon, 30 Oct 2023 23:59:13 +0100

## secsipidx 1.3.2

=== Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 
 .PHONY: tool
 tool:
-	GO111MODULE=off ${GO} build -o ${TOOLNAME} .
+	GO111MODULE=${GO111MODVAL} ${GO} build -o ${TOOLNAME} .
 
 .PHONY: lib
 lib:
-	GO111MODULE=off $(MAKE) -C csecsipid/ libso
-	GO111MODULE=off $(MAKE) -C csecsipid/ liba
+	GO111MODULE=${GO111MODVAL} $(MAKE) -C csecsipid/ libso
+	GO111MODULE=${GO111MODVAL} $(MAKE) -C csecsipid/ liba
 
 .PHONY: install-tool
 install-tool:

=== csecsipid/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 include ../Makefile.defs
 
 SOBASENAME=libsecsipid.so
-SOLIBNAME=${SOBASENAME}.1
-SOREALNAME=${SOBASENAME}.1.0.0
+SOLIBNAME=${SOBASENAME}.${LIBVERSIONMAJOR}
+SOREALNAME=${SOBASENAME}.${LIBVERSION}
 
 ifneq ($(OS), darwin)
 LD_FLAGS += -extldflags=-Wl,-soname,${SOLIBNAME}

=== debian/changelog ===
secsipidx (1.3.2-2.1ubuntu0.24.04.4) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 25 Jun 2025 11:29:38 +1000

secsipidx (1.3.2-2.1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 06 Nov 2024 13:31:04 +1000

secsipidx (1.3.2-2.1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:34:02 +0530

secsipidx (1.3.2-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:39:39 +1100

secsipidx (1.3.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062890

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:45:37 +0000

secsipidx (1.3.2-2) unstable; urgency=medium

  * fix build on armel, armhf and i386

 -- Victor Seva <vseva@debian.org>  Fri, 19 Jan 2024 10:29:50 +0100

secsipidx (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * proper SOLIBNAME version
  * update exported symbols
  * Standards-Version 4.6.2, no changes needed

 -- Victor Seva <vseva@debian.org>  Fri, 17 Nov 2023 14:49:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: secsipidx
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Victor Seva <vseva@debian.org>,
  Michael Hudson-Doyle <mwhudson@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  dh-golang,
  golang-any,
  golang-github-gomagedon-expectate-dev <!nocheck>,
  golang-github-google-uuid-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/secsipidx
 Vcs-Git: https://salsa.debian.org/go-team/packages/secsipidx.git
 Homepage: https://github.com/asipto/secsipidx
@@ -41,7 +42,10 @@
  This package contains CLI tool and HTTP API server for checking or
  Building SIP identitysecsipidx
 
-Package: libsecsipid1
+Package: libsecsipid1t64
+Provides: ${t64:Provides}
+Replaces: libsecsipid1
+Breaks: libsecsipid1 (<< ${source:Version})
 Architecture: any
 Section: libs
 Pre-Depends:
@@ -63,7 +67,7 @@
 Architecture: any
 Section: libdevel
 Depends:
- libsecsipid1 (= ${binary:Version}),
+ libsecsipid1t64 (= ${binary:Version}),
  ${misc:Depends},
 Built-Using:
  ${misc:Built-Using},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export DH_GOLANG_EXCLUDES=csecsipid
-export GO111MODULE=off
+export GO111MODVAL=off
 # don't fail on test when certificates are signed with the SHA-1
 export GODEBUG=x509sha1=1
 
@@ -23,5 +23,3 @@
 	dh_auto_install -- --no-source
 	$(MAKE) -C $(B) PREFIX=/usr DESTDIR=$(D) install-dirs
 	$(MAKE) -C $(B) PREFIX=/usr DESTDIR=$(D) install-lib-all
-
-override_dh_auto_test:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%secsipidx-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/asipto/secsipidx/tags .*/v?(\d\S*)\.tar\.gz debian
